%global pypi_name pyftdi

Name:           python-%{pypi_name}
Version:        0.30.3
Release:        1%{?dist}
Summary:        Python support for FTDI devices

License:        BSD
URL:            https://github.com/eblot/pyftdi
Source0:        https://github.com/eblot/pyftdi/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
PyFtdi aims at providing a user-space driver for modern FTDI devices.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyFtdi aims at providing a user-space driver for modern FTDI devices.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

# Not running tests for now as it's not clear how they will play with then
# build system
#%check
#PYTHONPATH=%{buildroot}/%{python3_sitelib} %{__python3} %{pypi_name}/tests/*.py

%files -n python3-%{pypi_name}
%doc README.rst pyftdi/doc/
%license pyftdi/doc/licenses.rst
%{_bindir}/*.py
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}*.egg-info

%changelog
* Wed Sep 25 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.30.3-1
- Update to latest upstream release 0.30.3

* Sat Sep 07 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.30.0-1
- Update to latest upstream release 0.30.0

* Thu Aug 22 2019 Miro Hrončok <mhroncok@redhat.com> - 0.29.6-2
- Rebuilt for Python 3.8

* Mon Aug 19 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.29.6-1
- Update to latest upstream release 0.29.6
- Fix license tag (rhbz#1732803)

* Wed Jul 24 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.29.2-1
- Initial package for Fedora
